Skip to main content
GET
/
search
Results
curl --request GET \
  --url https://render.joinmassive.com/search \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://render.joinmassive.com/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://render.joinmassive.com/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
{
"id": "078fd246-f0f7-44a0-aabb-cadd7b12454f"
}
"Authorization header must be provided"
"Credit balance is 0; top up at https://dashboard.joinmassive.com/plans"
"Captcha was detected"
"Character counts must be no more than 255"
"Unknown error occurred"
"Service is autoscaling; please retry in 60 seconds"
"Request(s) timed out"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string<uuid>

The identifier returned by this endpoint of the queued search to retrieve; if given, all other params are ignored; either an ID or terms are required.

Example:

"078fd246-f0f7-44a0-aabb-cadd7b12454f"

terms
string

The broad or exact word or phrase to query (e.g., foo bar baz or "foo bar baz"); the terms require form or URL encoding (with any space character being replaced by a + character or %20 sequence); either terms or an ID are required.

Maximum string length: 255
Example:

"foo bar baz"

engine
enum<string>
default:google

The search engine to use.

Available options:
google,
bing (coming soon)
Example:

"google"

serps
integer
default:1

The number of results pages to fetch.

Required range: 1 <= x <= 10
Example:

1

size
integer

The number of results per page to fetch; page size is unset by default.

Required range: 0 <= x <= 100
Example:

null

offset
integer

The number of initial results to skip; results aren’t offset by default.

Required range: 0 <= x <= 100
Example:

null

device
string

The name as returned by the devices resource [blocked] of the device to emulate searching on (these names are case insensitive but must include form- or URL-encoded spaces and punctuation marks); device emulation is unused by default.

Example:

null

country
string

The two-letter ISO code of the country to search from (these codes are case insensitive); a random country is used by default.

Example:

null

subdivision
string

The alphanumeric second part (proceeding the separator) of a first-level subdivision code in the (prerequisite) country to search from (these codes are case insensitive); a random subdivision is used by default.

Example:

null

city
string

The commonly spelled name of the city in the (prerequisite) country to search from (these names are temporarily case sensitive and required to include form- or URL-encoded spaces and punctuation marks); a random city is used by default.

Example:

null

uule
string

The proprietary encoded string for emulating the location to search from; if possible, the actual location is searched from not emulated; location emulation is unused by default.

Example:

null

language
string

The commonly spelled name, two-letter ISO code, or Google code of the language to search in (these names and codes are case insensitive but required to include form- or URL-encoded spaces and punctuation marks); the language is unset by default.

Example:

null

display
string

The commonly spelled name, two-letter ISO code, or Google code of the search interface’s display language (these names and codes are case insensitive but required to include form- or URL-encoded spaces and punctuation marks); the display language is unset by default or set to the language if given.

Example:

null

url
string<uri>

The encoded URL of the results page to retrieve; if given, the URL overrides any of the above params.

Maximum string length: 2047
Example:

"https%3A%2F%2Fwww.google.com%2Fsearch%3Fq%3Dfoo%2Bbar%2Bbaz%26hl%3Dfr%26gl%3Dfr%26ie%3DUTF-8"

awaiting
enum<string>

The lazy result features to wait to load; any AI overview, which can take significant time to generate, is awaited for a maximum of 1 minute; multiple features can be provided by repeating the key; lazy results aren’t awaited by default.

Available options:
ai,
answers,
ads
Example:

"ai"

expiration
integer
default:1

The age in days of when to consider cached results expired, where 0 disables caching.

Required range: 0 <= x <= 1
Example:

0

mode
enum<string>
default:sync

The synchronous or asynchronous mode of results retrieval (retrieve async results by providing the returned ID).

Available options:
sync,
async
Example:

"sync"

callback
string

The encoded HTTP or HTTPS callback URL or Amazon SQS queue URL or ARN to notify when the (prerequisite) async results have been retrieved; any SQS queue must grant sqs:SendMessage permission to the arn:aws:iam::180363035301:role/api-instance AWS principal.

Maximum string length: 2047
Example:

"https%3A%2F%2Fwebhook.site%2F02e249f8-1faf-4fab-bcf5-78ce683e85a8"

Response

The search results.

The response is of type string.